## kitinerary 23.08.4

=== debian/changelog ===
kitinerary (23.08.4-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:07:17 +0300

kitinerary (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libzxing3.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 12:05:42 +0000

kitinerary (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:35 +0000

kitinerary (23.08.3-0ubuntu2) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:12:05 -0500

kitinerary (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:36:18 +0000

kitinerary (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:32:30 +0100
