=== debian/changelog ===
kitinerary (23.08.5-0ubuntu6) noble; urgency=medium

  * Build-depend on libzxing-dev instead of libzxingcore-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Apr 2024 17:41:09 +0200

kitinerary (23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:25:24 +0300

kitinerary (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:33:15 +0000

kitinerary (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:04:08 +0000

kitinerary (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:18:14 +0000

kitinerary (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:02:42 -0700
