=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libkf5calendarcore-dev (>= 5:5.87.0~),
                libkf5contacts-dev (>= 5:5.87.0~),
                libkf5i18n-dev (>= 5.87.0~),
-               libkf5mime-dev (>= 23.08.4~),
-               libkpimpkpass-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkpimpkpass-dev (>= 23.08.5~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
                libssl-dev (>= 1.1~),
                libxml2-dev,
-               libzxingcore-dev,
+               libzxing-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 23.08.4~),
+Depends: libkf5mime-dev (>= 23.08.5~),
          libkpim5itinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
