## kitinerary 24.08.2

=== debian/changelog ===
kitinerary (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:44:28 -0500

kitinerary (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:57 +0200

kitinerary (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectures where libpoppler-qt6-dev is
    available.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Sep 2024 19:23:07 +0200

kitinerary (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 15:52:34 +0200

kitinerary (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove patches that have been applied upstream.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Jul 2024 00:50:56 +0200

kitinerary (23.08.5-0ubuntu10) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Sep 2024 20:45:40 +0300

kitinerary (23.08.5-0ubuntu9) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 07:37:52 -0400

kitinerary (23.08.5-0ubuntu8) oracular; urgency=medium

  * Cherry-pick patch to fix build with poppler 24.06

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jun 2024 17:33:59 -0400

kitinerary (23.08.5-0ubuntu7) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:54:19 -0400

kitinerary (22.12.3-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with poppler >= 24.06 (Closes:
    #1074397).

 -- Patrick Franz <deltaone@debian.org>  Fri, 28 Jun 2024 02:30:49 +0200

kitinerary (22.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Disable tests (Closes: #1073404).

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 20:27:41 +0200

kitinerary (22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace transitional libzxingcore-dev with libzxing-dev (Closes:
    #1054378).

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Oct 2023 12:37:05 +0200

kitinerary (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 0ef772c3e0ff8f049f299ad14b3c65327e4fe69e to fix
    the build with GCC 13; patch
    upstream_asn1-Fix-build-with-GCC-13-add-missing-cstdint-inclu.patch.
    (Closes: #1037709)
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 05:39:00 +0200
