## kitinerary 24.12.0

=== debian/changelog ===
kitinerary (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to build against poppler 25.01 (Closes: #1093282).

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Jan 2025 19:31:14 +0100

kitinerary (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:27 +0100

kitinerary (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:39 +0100
