=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kitinerary
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes,
-               libkf6calendarcore-dev (>= 6.3.0~),
-               libkf6contacts-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
-               libkpkpass-dev (>= 24.08.2~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
+               libkpkpass-dev (>= 24.12.0~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -26,16 +25,16 @@
                qml6-module-qtqml <!nocheck>,
                qml6-module-qtqml-models <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                shared-mime-info (>= 1.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kitinerary
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
 Rules-Requires-Root: no
 
 Package: libkitinerary-bin
@@ -65,12 +64,12 @@
 Section: libdevel
 Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.3.0~),
-         libkf6contacts-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.08.2~),
+Depends: libkf6calendarcore-dev (>= 6.6.0~),
+         libkf6contacts-dev (>= 6.6.0~),
+         libkmime-dev (>= 24.12.0~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 24.08.2~),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         libkpkpass-dev (>= 24.12.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
  This library provides an API for Data Model and Extraction System for
