=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
-               libkpkpass-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
+               libkpkpass-dev (>= 24.12.2~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -66,9 +66,9 @@
 Multi-Arch: same
 Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 24.12.0~),
+         libkpkpass-dev (>= 24.12.2~),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
