=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
-               libkpkpass-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.3~),
+               libkpkpass-dev (>= 24.12.3~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -31,7 +31,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kitinerary
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
@@ -66,9 +66,9 @@
 Multi-Arch: same
 Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 24.12.2~),
+         libkpkpass-dev (>= 24.12.3~),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
