=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: kitinerary
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
-               libkpkpass-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.04.3~),
+               libkpkpass-dev (>= 25.04.3~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -31,10 +32,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kitinerary
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
 Rules-Requires-Root: no
 
 Package: libkitinerary-bin
@@ -66,9 +67,9 @@
 Multi-Arch: same
 Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.3~),
+         libkmime-dev (>= 25.04.3~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 24.12.3~),
+         libkpkpass-dev (>= 25.04.3~),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
